@charset "utf-8";
body {
    background-color: #fff;
    color: #222
    font-family: "Lato", sans-serif;
    font-weight: 400;
    transition: none !important;
    padding-top: 5.0rem;
}

h1, h2, h3, h4, h5, h6,
.h1, .h2, .h3, .h4, .h5, .h6 {
    font-weight: 700;
}

.card {
    border-radius: 0.8rem!important;
}

.card-img-overlay {
    border-radius: 0.8rem!important;
}

.rounded-xl {
    border-radius: 0.8rem!important;
}

.rounded-xl-bottom {
    border-bottom-right-radius: 0.8rem !important;
    border-bottom-left-radius: 0.8rem !important;
}

.rounded-xl-top {
    border-top-left-radius: 0.8rem !important;
    border-top-right-radius: 0.8rem !important;
}


.text-profile-position {
    font-weight: 400;
}

.text-profile-bio {
    /* font-family: "Raleway"; */
    font-weight: 400;
}

.navbar {
    background-color: #f8f9fa;
    color: #222;
    display: flex;
    align-items: center;
    padding: 0.5em 0.75em;
    opacity: 0.95;
}

.navbar .navbar-brand {
  color: #222 !important;
}

.inline-badge {
    height: 32px;
    vertical-align: -10%;
    margin-right: 2px;
    line-break: unset;
}

theme-icon.fa-sun {
  color: #ffd700; /* gold/yellow sun */
}

.no-break {
    white-space: nowrap;
}

.cover-image {
    width: 180px;
    max-height: 120px;
}

.abstract-body {
    min-height: 100px;
}

CIERA-logo-image {
    background-color: #fff
}

img.lazy {
    background-image: url('images/loading.gif');
    background-repeat: no-repeat;
    background-position: 50% 50%;
    background-size: 50px 50px;
    min-height: 80px;
}

div.lazy {
    background-image: url('images/loading.gif');
    background-repeat: no-repeat;
    background-position: 50% 50%;
    background-size: 50px 50px;
    min-height: 80px;
}

.badge-publication {
    font-size: 100%;
}

.email-text {
    font-family: Courier, monospace;
}

.publication-authors {
    color: #222 !important
}

/*Dark theme modifications*/
body.dark-theme {
    background-color: #363636 !important;
    color: #fff;
}

body.dark-theme .navbar {
    background-color: #333 !important;
    color: #fff !important;
}

body.dark-theme .badge {
    background-color: #fff !important;
    color: #222 !important;
    border: 1px solid #e0e0e0 !important;
}

body.dark-theme .navbar .nav-link,
body.dark-theme .navbar .navbar-brand {
  color: #fff !important;
}

body.dark-theme #theme-icon.fa-moon {
  color: #add8e6 !important; /* bright moon in dark mode */
}

body.dark-theme .navbar-toggler {
  /* Change background or border color if needed */
  background-color: #23272b !important;
  border-color: #f8f9fa !important;
}

body.dark-theme .navbar-toggler i,
body.dark-theme .navbar-toggler {
  color: #f8f9fa !important; /* or any color you want for the icon/text */
}

/* Card dark theme styles */
body.dark-theme .bg-white,
body.dark-theme .shadow-sm {
    background-color: #2b2b2b !important;
    color: #fafafa !important;
}

body.dark-theme .rounded-xl-bottom {
    background-color: #2b2b2b !important;
    color: #fafafa !important;
    border-bottom-right-radius: 0.8rem !important;
    border-bottom-left-radius: 0.8rem !important;
}

body.dark-theme .rounded-xl-top {
    background-color: #2b2b2b !important;
    color: #fafafa !important;
    border-top-left-radius: 0.8rem !important;
    border-top-right-radius: 0.8rem !important;
}

body.dark-theme .card,
body.dark-theme .rounded-xl{
    background-color: #2b2b2b !important;
    color: #fafafa !important;
    border-radius: 0.8rem!important;
    border-top-left-radius: 0.8rem !important;
    border-top-right-radius: 0.8rem !important;
}

body.dark-theme .card-body, 
body.dark-theme .media-body,
body.dark-theme .cover-image {
    background-color: #2b2b2b !important;
    color: #fafafa !important;
    border-radius: 0.8rem!important;
    border-top-left-radius: 0.8rem !important;
    border-top-right-radius: 0.8rem !important;
}

body.dark-theme p.publication-authors, 
body.dark-theme .publication-authors * {
    color: #fff !important;
}

body.dark-theme h1, 
body.dark-theme h2, 
body.dark-theme h3, 
body.dark-theme h4, 
body.dark-theme h5, 
body.dark-theme h6 {
    color: #fff !important;
}

body.dark-theme a {
  color: #8ecfff; /* Links in dark mode */
}

body.dark-theme .text-muted,
body.dark-theme .small {
  color: #ddd !important; /* Muted/small text */
}

body.dark-theme mark {
  background-color: rgba(184, 134, 11, 0.5) !important;
}
